package com.bonus.canteen.core.account.v3.service;

import com.bonus.canteen.core.account.v3.api.vo.AccExceptionRecordApiVO;
import com.bonus.canteen.core.account.v3.web.dto.AccAddExceptionRecordDTO;
import com.bonus.canteen.core.account.v3.web.dto.AccUpdateExceptionRecordDTO;

import java.util.List;

public interface AccExceptionRecordService {
   void addAccExceptionRecord(AccAddExceptionRecordDTO addDTO);

   void updateAccExceptionRecord(AccUpdateExceptionRecordDTO updateDTO);

   boolean existExceptionRecordByRelatedId(Long relatedId, Integer recordStatus);

   List<AccExceptionRecordApiVO> listAccExceptionRecord(List<Long> ordTradeIdList);
}
